#ifndef _OBBITMAP_H
#define _OBBITMAP_H

class OBBitmap{
public:
	unsigned int nWidth;
	unsigned int nHeight;
	unsigned char *Data;
	unsigned char nBitPlanes;

	__declspec(dllexport) OBBitmap();
	__declspec(dllexport) ~OBBitmap();
	void __declspec(dllexport) ProcessData(unsigned char *RawData, unsigned char nDefaultColor = 255);
	void __declspec(dllexport) WriteOutBitmap(char *sFileName);
	void __declspec(dllexport) Put8x8Chunk(int dx, int dy, unsigned char *RawData, unsigned char PaletteShift = 0, unsigned char bFlip = 0);
	void __declspec(dllexport) SetDim(unsigned int width, unsigned int height);
	void __declspec(dllexport) SetPalette(unsigned short *RawPalette, unsigned short nColors);
	void __declspec(dllexport) SetPaletteGrey(unsigned short nColors = 256);
	void __declspec(dllexport) SetDefaultColor(unsigned char nDefaultColor);
	void __declspec(dllexport) ResetTransparency(unsigned char nTransIndex, unsigned char nDefaultColor);

private:
	BITMAPINFO *BMI;
};

#endif